2026-08-04  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* latex-lab-sec-template.dtx:
	Support placement=ragged for headings (github/1844)

2026-08-02  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* latex-lab-template.dtx:
	Initial implementation of order key processing, not part of tagging=on yet

2026-07-29  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* latex-lab-namespace.dtx (subsubsection{Paragraphs}):
	Renamed text-unit to semantic-para and text to text-block.
	Added text-fragment (default Span).

2026-07-27  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* latex-lab-block.dtx (subsection{Templates}):
	Replaced key legacy-code with early-legacy-code and late-legacy-code, the second
        being executed after returing to hmode (tagging/1503)

2026-07-12  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* latex-lab-firstaid.dtx (subsection{AMS classes}):
	Reorganize the first aid for AMS classes. We now write a file for each class
	that is loaded after the class has been loaded.

	Provide appropriate heading template instances for the AMS classes (tagging/1477)

	* latex-lab-sec-template.dtx (subsection{General helper commands}):
	Support adding punctuations if not already present (tagging/1477)

2026-07-08  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* latex-lab-sec-template.dtx (chaptermark {#1}):
	Define \@chapapp, if necessary (tagging/1482)

2026-07-06  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* latex-lab-block.dtx (subsubsection{Declarations for theorem-like environments}):
	Do not automatically define a star form of the environment (tagging/1476)

2026-07-04  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* latex-lab-sec-template.dtx (subsubsection{Internal commands used by the template code}):
	Support a \texttt{force-unnumbered} key (tagging/1473)

2026-06-28  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* latex-lab-enumitem.dtx (subsubsection{\texttt{partopsep}}):
	The key \partopsep needs to set two keys (tagging/1441)

	(subsubsection{\texttt{topsep}}):
	The key \topsep needs to set two keys (tagging/1441)

2026-06-22  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* latex-lab-block.dtx (subsubsection{Implementation of \insttype{captionedtext}):
	Remove stray code causing issues with unknown keys (gh/2126)

2026-06-21  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* latex-lab-sec-template.dtx (subsubsection{Templates of type \texttt{heading}}):
	Support column-spanning for chapters and the like (tagging/1436)

2026-06-21 Joseph Wright  <Joseph.Wright@latex-project.org>
	Switch generally to US spelling

2026-06-15  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* latex-lab-block.dtx (subsubsection{Tagging recipes}):
	Correct handling of @endpe (tagging/1402 + 1415)
	Introduce new key "standalone"

2026-06-15  Ulrike Fischer  <Ulrike.Fischer@latex-project.org>
	* documentmetadata-support.dtx Correct language default.

2026-06-13  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* latex-lab-block.dtx:
	Pretend that alltt, amsthm, and enumitem are already loaded so that
	code selects the true branch if testing for them (tagging/1403}

2026-06-10  Ulrike Fischer  <Ulrike.Fischer@latex-project.org>
	* latex-lab-firstaid.dtx: fix firstaid for apacite, tagging/677.
	* latex-lab-block.dtx: fix @@-expansion, tagging/1370

2026-06-05  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* latex-lab-block.dtx (subsubsection{Declarations for theorem-like environments}):
	end-vspace was passed the wrong argument by \newtheoremstyle (tagging/1362)

2026-05-29  Ulrike Fischer  <Ulrike.Fischer@latex-project.org>
	* latex-lab-block.dtx: add noop tagging recipe

2026-05-28  Ulrike Fischer  <Ulrike.Fischer@latex-project.org>
	* documentmetadata-support.dtx,latex-lab-math.dtx, latex-lab-title.dtx:
	use \GetDocumentProperty instead of \GetDocumentProperties.

2026-05-28  Ulrike Fischer  <Ulrike.Fischer@latex-project.org>

	* latex-lab-bib.dtx: If natbib is used remove patches done to avoid
	duplicated destinations.

2026-05-26  Ulrike Fischer  <Ulrike.Fischer@latex-project.org>

	* latex-lab-block.dtx: use \parfillskip in raggedright, gh/2015

2026-05-26  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* latex-lab-context.dtx:
	Extend contexts to support tertiary contexts as well.

2026-05-24  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* latex-lab-sec-template.dtx (subsection{Template types}):
	Template type headformat got one additional argument "fixed prefix text"
	(tagging/1354)

2026-05-23  Ulrike Fischer  <Ulrike.Fischer@latex-project.org>
	* latex-lab-sec-template.dtx: remove \normalcolor from heading templates
	(tagging/1215)

2026-05-21  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* latex-lab-firstaid.dtx (subsection{ams classes and amsthm}):
	Use new \newtheoremstyle with AMS classes

	* latex-lab-block.dtx (subsubsection{Declarations for theorem-like environments}):
	Fix default for begin-vspace and end-vspace if argument #2 or #3 is empty.
	Provide \l_newtheoremstyle_vspace_default_tl variable to hold the default
	for the vertical space before and after (gh/2023)

2026-05-20  Matthew Bertucci <mbertucci@willamette.edu>

	* latex-lab-block.dtx: Fix order key in \newtheoremstyle (issue #2092)

2026-05-15  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* latex-lab-block.dtx (subsubsection{Declarations for theorem-like environments}):
	Do not make block instances from scratch in \newtheoremstyle but base
	them on thm-legacy2e-1

2026-05-12  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* latex-lab-sec-template.dtx (subsubsection{Instances (sample/default definitions)}):
	Always use headformat instance names matching the heading command name, e.g., \section
	uses heading instance 'section' and 'headformat' instance 'section'.

2026-05-12  Ulrike Fischer  <Ulrike.Fischer@latex-project.org>
	* latex-lab-firstaid.dtx: correct key names in ams-firstaid, add firstaid for apacite.
	* latex-lab-mathpkg.dtx: fix typo in socket name
	* latex-lab-tikz.dtx:
		Change key filter to support keys not in the tikz path, (tagging/1344)

2026-05-10  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* latex-lab-block.dtx (subsubsection{Implementation of \insttype{block} templates}):
	Suppress \partopsep when @endpe is true (tagging/1328)

	* latex-lab-math.dtx (subsection{Regaining control after a display  has finished
	with \texttt{\$\$}}):
	Backout \parskip before re-adding \belowdisplayskip (tagging/1328)


2026-05-08  Ulrike Fischer  <Ulrike.Fischer@latex-project.org>
	* latex-lab-block.dtx: unpack box if next-line is used, tagging/1276

2026-05-07  Ulrike Fischer  <Ulrike.Fischer@latex-project.org>
	* latex-lab-title: add support for title block structure also to the titlepage version.

2026-05-07  Marcel Krüger  <Marcel.Krueger@latex-project.org>
	* latex-lab-math.dtx:
	Add luamml tagging sockets to eqnarray

2026-05-02  Ulrike Fischer  <Ulrike.Fischer@latex-project.org>
	* documentmetadata-support.dtx: add language and other-languages key
	* latex-lab-testphase.dtx: remove stray message line

2026-04-28  Ulrike Fischer  <Ulrike.Fischer@latex-project.org>
	* latex-lab-sec.dtx: use \pdf_purify:nN for the title of the structure
	* latex-lab-graphic.dtx: use \pdf_purify:nN for the alt and actualtext of the structure
	* latex-lab-tikz.dtx: use \pdf_purify:nN for the alt and actualtext of the structure
	* latex-lab-toc.dtx: use \pdf_purify:nN for the title of the structure
	* latex-lab-title.dtx: use \pdf_purify:nN for the title of the structure,
use tagging sockets, use symbolic names, add support for title block structure.

2026-04-28  Ulrike Fischer  <Ulrike.Fischer@latex-project.org>
	* latex-lab-footnote:dtx: Remove unneeded hyperref code. Use symbolic names. Do not tag
	\multfootsep as artifact (footmisc), it is content.
	* latex-lab-tables.dtx: Use symbolic names, docu improvements, move table attributes.
	* latex-lab-namespace.dtx: move table attributes
	* latex-lab-block.dtx: remove testphase wrapper
	* latex-lab-context.dtx: remove testphase wrapper
	* latex-lab-table.dtx: remove testphase wrapper
	* latex-lab-text.dtx: remove testphase wrapper
	* latex-lab-toc.dtx: remove testphase wrapper

2026-04-27  Ulrike Fischer  <Ulrike.Fischer@latex-project.org>
	* latex-lab-context.dtx: do not enable template debugging by default
	* latex-lab-block.dtx:
		Set para-vspace to \parsep in quote (legacy default),
		remove unneeded \color@endgroup redefinition,
		add hooks item/before and item/after,
		use symbolic names and tagging sockets,
		moved attribute declarations to latex-lab-nameref
	* latex-lab-toc.dtx: use symbolic names.
	* latex-lab-toc-kernel-changes.dtx: remove unneeded hyperref hooks.
	* latex-lab-nameref.dtx: add text alignment attributes
	* delete latex-lab-toc-hyperref-changes

2026-04-27  Ulrike Fischer  <Ulrike.Fischer@latex-project.org>
	* latex-lab-bib.dtx: revised and improved implementation. It now uses tagging
	  sockets. Fixed issue tagging/1282. Fixed issue tagging/1293.
	* latex-lab-text.dtx: Use tagging sockets. Tag sub- and superscript and
  	  suppress space char with luatex. Tag \verb.
	* latex-lab-namespace.dtx: add attributes for sub- and superscript. Move math attributes
	* latex-lab-math.dtx: move math attributes to latex-lab-namespace.

2026-04-25  Ulrike Fischer  <Ulrike.Fischer@latex-project.org>
	* latex-lab-mathpkg.dtx: Use tagging sockets in pmb-patch of bm package
	* latex-lab-mathtools.dtx: Use tagging sockets in \intertext (tagging/981)
	* latex-lab-math.dtx:
		* Use tagging sockets and symbolic names
		* Clean up documentation
		* Remove \@textsuperscript redefinition, now wrong as math is not longer
		  used by the kernel.
	* latex-lab-amsmath.dtx:
		* Redefine \text@ to use mathstyle always with luatex
		* Improve \intertext tagging, issue tagging/981
		* Use tagging sockets

2026-04-24  Ulrike Fischer  <Ulrike.Fischer@latex-project.org>
	* latex-lab-sec.dtx:
		* remove the patches for sectioning commands as this is superseded
		  by the template code
		* remove unneeded hyperref patches
		* remove testphase wrapper
		* use heading instead of sectioning in documentation
	* latex-lab-sec-template.dtx:
		* remove testphase wrapper
		* rename decls to heading-decls, indent to heading-indent
		* change before-code and after-code key to title-format (which takes an argument
		* docu updates
	* latex-lab-firstaid.dtx:
		* remove testphase wrapper
		* add support for H-floats
		* remove microtype firstaid
		* use tagging sockets in booktabs patch
		* use tagging sockets in fancyvrb patch
		* adapt ams class patches to new sec-template keys

2026-04-24  Ulrike Fischer  <Ulrike.Fischer@latex-project.org>
	* latex-lab-float.dtx: remove unneeded hyperref code, remove testphase wrapper code
	* latex-lab-marginpar: use symbolic names, remove testphase wrapper code
	* latex-lab-minipage: cleanup unused tests and variables, remove testphase wrapper code
	* latex-lab-graphic.dty, latex-lab-tikz.dtx: remove testphase wrapper code.

2026-04-23  Ulrike Fischer  <Ulrike.Fischer@latex-project.org>
    * latex-lab-graphic.dtx: remove unneeded loading of l3opacity, use symbolic names.
	* latex-lab-tikz.dtx: Use symbolic names. Use pgfkeys for tagging setup keys
	  (with code provided by Clea F. Rees). Improve documentation.

2026-04-23  Ulrike Fischer  <Ulrike.Fischer@latex-project.org>
	* latex-lab-namespace.dtx: more symbolic names

2026-04-23  Ulrike Fischer  <Ulrike.Fischer@latex-project.org>
	* latex-lab.ins: remove generation of unneeded testphase files
	* remove latex-lab-new-or-1, is empty now
	* latex-lab-testphase.dtx: remove generation of phase-N files
	* latex-lab-minipage.dtx: do not load new-or-1 anymore
	* documentmetadata-support.dtx: make testphase values for already loaded modules noop

2026-04-22  Ulrike Fischer  <Ulrike.Fischer@latex-project.org>
    * documentmetadata-support.dtx:
    	 * add more files to be ignored by check-tagging-status, tagging/1229
    	 * adapt to new pdfmanagement
    	 * remove duplicated key definitions
    	 * error if used twice

2026-04-22  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* latex-lab-block.dtx (subsubsection{Implementation of \insttype{blockenv} templates}):
	Generate error when the block ends and some keys are still
	unused (tagging/1317)

2026-04-21  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* latex-lab-enumitem.dtx (subsubsection{\cs{setlist}}):
	Emulation of \setlist added (but not size-dependent setting yet)

2026-04-19  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* latex-lab-block.dtx (subsubsection{Their \insttype{list} instances}):
	Support layout customization of \env{description} on individual nesting levels

2026-04-16  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* latex-lab-l3doc-tagging.dtx (subsection{The \env{macro} environment}):
	Add a \par for now to \__codedoc_macro_end: to make the envs standalone.

2026-04-11  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* latex-lab-block.dtx (subsection{Tagging support commands}):
	Do not use \@endpefalse in \begin when tagging.
	(subsubsection{Tagging recipes}):
	Use \@endpefalse in standalone recipe.

2026-04-08  Matthew Bertucci <mbertucci@willamette.edu>
	* latex-lab-block.dtx: Fix amsthm style settings (tagging/1199)

2026-04-07  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* latex-lab-block.dtx (subsubsection{Handling \tn{par} after the end of the list}):
	Restore \par first before attempting to add a \skip_vertical:n (tagging/1298)

2026-03-29  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* latex-lab-block.dtx (subsubsection{Implementation of \insttype{block} templates}):
	Cancel env par env handling on consecutive block envs (tagging/1279)

2026-03-19 Joseph Wright  <Joseph.Wright@latex-project.org>
	* latex-lab-blocks.dtx, latex-lab-context.dtx: Move template debugging to the kernel

2026-03-12 Joseph Wright  <Joseph.Wright@latex-project.org>
	* latex-lab-block.dtx, latex-lab-context.dtx, latex-lab-firstaid.dtx,
	latex-lab-sec-template.dtx: Switch from x- to e-type expansion in expl3 code

2026-02-25  Ulrike Fischer  <Ulrike.Fischer@latex-project.org>
	* latex-lab-sec-template.dtx: remove glyphtounicode definition, is in the kernel now

2026-02-24 Joseph Wright  <Joseph.Wright@latex-project.org>
	* latex-lab-minipage.dtx: Avoid 'fake math' in parboxes

2026-02-16  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* latex-lab-enumitem.dtx (subsubsection{\cs{newlist}}):
	Allow spaces before the optional argument (tagging/1237)

	Add a alternative implementation for \newlist.

	* latex-lab-block.dtx (subsection{The standard lists: \env{itemize},
	                       \env{enumerate}, and \env{description}}):
	Allow spaces before the optional argument (tagging/1237)

2026-02-15  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* latex-lab-enumitem.dtx (subsubsection{\texttt{noitemsep}, \texttt{nosep}}):
	Support end-vspace and end-extra-vspace keys (tagging/738)

	* latex-lab-block.dtx (subsubsection{Implementation of \insttype{block} templates}):
	Support end-vspace and end-extra-vspace keys (tagging/738)

2026-02-05  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* latex-lab-block.dtx (subsubsection{Supporting QED in proofs}):
	Add \measuring@true before grabbing the equation tag box (tagging/1037)

2026-02-04  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* latex-lab-sec-template.dtx (subsection{Templates}):
	Renamed key after-sep to after-vspace.
	Renamed key after-penalty-sep to after-penalty-vspace.
	Renamed key before-sep to before-vspace.

2026-02-02  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* latex-lab-block.dtx (subsection{Template types and template interfaces}):
	Add caption-unbreakable key (tagging/1200)

	(subsection{Template types and template interfaces}):
	Use \proofname as value for title proof template (tagging/1207)

2026-02-01  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* latex-lab-block.dtx (subsubsection{Declarations for theorem-like environments}):
	Argument applied to the wrong keys (tagging/1202)

	(subsubsection{The \insttype{thmstyle} instances they use}):
	Add further decl keys (tagging/1199)

	(subsubsection{The \insttype{thmstyle} instances they use}):
	Change order of elements (tagging/1199)

	(subsubsection{Supporting QED in proofs}):
	Stray definition of \cs{math@qedhere} removed (taggging/1203)

2026-01-28 Joseph Wright <Joseph.Wright@latex-project.org>
	* latex-lab-math.dtx: Support nested alignments when grabbing math

2026-01-27 Joseph Wright <Joseph.Wright@latex-project.org>
	* latex-lab-math.dtx: Rename a function

2026-01-26  Ulrike Fischer  <Ulrike.Fischer@latex-project.org>
	* latex-lab-sec-template.dtx: correct chapter definition for report, tagging/1984

2026-01-20  Ulrike Fischer  <Ulrike.Fischer@latex-project.org>
	* documentmetadata-support.dtx: correct space in check code
	* latex-lab-tikz.dtx: moved a suspend command into symmetric hook.

2026-01-13  Ulrike Fischer  <Ulrike.Fischer@latex-project.org>
	* latex-lab-toc-hyperref-changes.dtx: boolean for bookmarks for new sectioning support
	* new module latex-lab-sec-templates.dtx: section definitions based on templates
	* latex-lab-sec.dtx: removed redefinition of chapter and part, now done through templates
	* latex-lab-sec.dtx: preexpand title to avoid problems with conditionals at the begin (e.g. ltugboat)
	* latex-lab-l3doc-tagging.dtx: updated block key names
	* latex-lab-firstaid.dtx: tagging of headings in ams-classes, issue tagging/970

2026-01-13  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>
	* latex-lab-block.dtx, latex-lab-enumitem.dtx: first prototype for
	enumitem emulation

2026-01-04  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* latex-lab-block.dtx (subsubsection{The \insttype{thmstyle} instances they use}):
	Provide legacy2e thmstyle for old document not using amsthm (tagging/1162)

2025-12-31  Ulrike Fischer  <Ulrike.Fischer@latex-project.org>
	* latex-lab-block.dtx: support for alias counter.

2025-12-23  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* latex-lab-namespace.dtx:
	Expand second argument of \AssignStructureRole before storing in case it
	contains an indirectly referenced name.

2025-12-21  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* latex-lab-block.dtx:
	In November/December the block module was heavily revised with so
	many changes that it is difficult to enumerate them all.
	But here is an attempt:

	Block environments now support 4 mandatory arguments not just one.

	A new template type captionedtext was added.

	Many key names have been adjusted to provide a better set
	(that may need some further adjustments).

	Support for theorem-like and proof environments was
	adjusted. It is now possible to automatically get a new line
	if the body starts with a list.

	\SimpleBlockEnv, \BlockEnv and \BlockEnvEnd were added to
	simplify environment declarations.

	The amsthm package is now emulated.

	Added support for alltt and alltt* environments.

	Reimplement verse (not using a list internally).

2025-12-15  Ulrike Fischer  <Ulrike.Fischer@latex-project.org>
	* latex-lab-math.dtx, latex-lab-textphase.dtx, latex-lab-unicode-math.dtx:
     support lua-unicode-math, issue tagging/1137

2025-12-15  Ulrike Fischer  <Ulrike.Fischer@latex-project.org>
	* documentmetadata-support.dtx: remove language warning, issue tagging/1115

2025-12-13  Ulrike Fischer  <Ulrike.Fischer@latex-project.org>
	* latex-lab-mathtools.dtx: correct @@ handling, issue tagging/1119

2025-12-03  Ulrike Fischer  <Ulrike.Fischer@latex-project.org>
	* latex-lab-float.dtx: handle unknown float types, deprecated \tagtool,
      use symbolic names, add key to switch collection mode, add interface for new float types.
	* latex-lab-namespace.dtx: add symbolic names for floats

2025-12-02  Ulrike Fischer  <Ulrike.Fischer@latex-project.org>
	* latex-lab-math.dtx: add support for the MSFT-attribute

2025-11-22  Ulrike Fischer  <Ulrike.Fischer@latex-project.org>
	* latex-lab-minipage.dtx: move socket declaration to lttagging.
	* latex-lab-namespace.dtx: add symbolic names for minipages and parboxes

2025-11-21  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* latex-lab-block.dtx (subsubsection{Implementation of blockenv templates \ldots}):
	Introduced \BlockEnv and \SimpleBlockEnv and renamed \endblockenv to \BlockEnvEnd

2025-11-20  Matthew Bertucci <mbertucci@willamette.edu>
	* latex-lab-block.dtx: Use \DeclareDocumentEnvironment for quote, quotation,
	description, and verse (tagging/284)

2025-11-04  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* latex-lab-block.dtx (subsubsection{Block instances for the standard lists}):
	Fix default for para-vspace, should be \parsep only inside lists

2025-11-03  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* latex-lab-block.dtx (subsection{Template types}):
	Changed blockenv template type to a second "caption" argument
	Changed list template type to a second "caption" argument

2025-11-03  Ulrike Fischer  <Ulrike.Fischer@latex-project.org>

	* latex-lab-firstaid.dtx (subsection{The \pkg{microtype} package first aid}):
	disable tagging in an internal command which break due to the change of
	\partokencontext  (https://github.com/schlcht/microtype/issues/59)

2025-10-20  Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* latex-lab-sec.dtx: more tagging sockets.
	* latex-lab-testphase.dtx: load latex-lab-kernel-changes.sty directly.
	* latex-lab-toc-kernel-changes.dtx: remove unneeded socket declarations.
	* latex-lab-namespaces.dtx: add symbolic names for sectioning

2025-10-17  Matthew Bertucci <mbertucci@willamette.edu>
	* latex-lab-float.dtx: measure caption/label socket instead of hard-coded
	colon and space, tagging/935

2025-10-13  Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* documentmetadata-support.dtx: correct tagging=on/tagging=off code, tagging/994

2025-10-11  Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* latex-lab-firstaid.dtx, documentmetadata-support.dtx: extend tagging-status code
	to show also tikz libraries and babel language files.

2025-10-11  Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* latex-lab-float.dtx: predefine cmd/@makecaption/before hook, tagging/998

2025-10-09  Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* documentmetadata-support.dtx:
		- update documentation to changes in testphase key.
		- add check-tagging-status key

2025-10-02  Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* latex-lab-math.dtx: add \DebugMathOn and \DebugMathOff

2025-09-29  Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* latex-lab-math.dtx: add braces in \text@, tagging/995

2025-09-26  Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* latex-lab-math.dtx: ensure that \ifmeasuring@ exists already in the preamble, tagging/952
	* latex-lab-tikz.dtx: support pgfplots, tagging/924

2025-09-25  Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* documentmetadata-support.dtx: disable \tagpdfsetup if tagging is off, tagging/994
	* latex-lab-graphic.dtx: correct example

2025-09-15  Clea F. Rees  <cfr@noreply.codeberg.org>

	* latex-lab-context.dtx (typos/English fixes)

2025-09-10  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* latex-lab-math.dtx (subsection{Code related to AF}):
	Do not increase \@math@level for fake math (tagging/973+983)

	Added \UseMathForPositioningText for identifying "fake math"

2025-08-27  Max Chernoff <tex@maxchernoff.ca>

	* latex-lab-math.dtx: Use a loop to scan for \).

2025-08-21  Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* latex-lab-block.dtx: use sockets for semantic paragraph
	* latex-lab-marginpar.dtx: use Sect as container if there is no text-unit structure.
	* latex-lab-block.dtx: move \thm@headsep, tagging issue #835
	* latex-lab-firstaid.dtx: move \thm@headsep, tagging issue #835
	* latex-lab-block.dtx, latex-lab-firstaid.dtx: use sockets for theorem like environments.
	* latex-lab-graphic.dtx: fix missing spaces, tagging issue #950
	* latex-lab-graphic.dtx: add hooks, tagging issue #957
	* latex-lab-namespace.dtx: activate symbolic names para/semantic and para/textblock.

2025-08-14  Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* latex-lab-namespace.dtx: add interface for symbolic tag names.

2025-08-03  David Carlisle  <David.Carlisle@latex-project.org>

	* latex-lab-math-intent.dtx add \MathMLintent and \MathMLarg definitions.

2025-07-30  Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* latex-lab-table.dtx: fix typo celltag to pcelltag
	  tagging issue 965

2025-07-30  Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* latex-lab-math.dtx: clear temporary box to avoid glyph node leakage,
	  tagging issue 963

2025-07-11  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* latex-lab-block.dtx (subsubsection{Block instances for the theorems}):
	Add further block instances for theoremblocks in cases theorems are placed inside of lists

	(subsubsection{Implementation of blockenv templates \ldots}):
	Expand arguments before passing them to \Useinstance to get better error messages

2025-07-10  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* latex-lab-context.dtx:
	Module added implementing a first prototype for handling context in typesetting
	(especially with template instances).

2025-07-07  Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* latex-lab.ins, latex-lab-testphase: generate latex-lab-testphase-latest.sty

2025-07-06  Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* latex-lab-footnotes.dtx: Convert tagsupport sockets into tagging sockets, separate tagging and link code.

2025-07-02  Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* latex-lab-firstaid.dtx: Remove \tag_if_active tests in amsthm patches. It errors with tagging=off.
	* latex-lab-toc.dtx: Remove \tag_if_active test in command used in tagging socket.
	* latex-lab-toc.dtx, latex-lab-sec.dtx: Removed patches to record targets. This is now in the format.
	* latex-lab-toc-kernel-changes.dtx: Remove no longer used socket definition. Add a temporary definition for MakeLinkTarget.
	* documentmetadata-support.dtx: suspend globally if tagging=off

2025-07-02  Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* latex-lab-table.dtx: remove \tag_if_active test in tagging socket.

2025-07-01  Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* latex-lab-block.dtx: remove \tag_if_active test, remove para-hook code (is in tagpdf), use tagging sockets in various places.

2025-06-30  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* latex-lab-block.dtx (subsection{Templates}):
	Give default values for most keys so that they do not inherit by mistake
	when blocks are nested (tagging/925)

	Make /Div structure (not /Figure) the default for the standard tagging-recipe.

2025-06-30  Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* latex-lab-unicode-math.dtx: redefine \bBigg@, tagging issue 757

2025-06-29  Matthew Bertucci <mbertucci@willamette.edu>

	* latex-lab-math.dtx:
        Delay registration of eqnarray until begindocument to avoid error with fleqn (tagging/844)

2025-06-29  Marcel Krüger  <Marcel.Krueger@latex-project.org>

	* latex-lab-math.dtx:
	Don't write generated MathML to file when in inner block.

2025-06-21  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* latex-lab-block.dtx:
	Update various parts of the documentation

	* latex-lab-block.dtx (subsection{Verbatim environments}):
	Move special verbatim code into a key

	* latex-lab-block.dtx (subsubsection{Implementation of list templates \ldots}):
	Correct logic for setting up the list  counter further (tagging/893)

2025-06-20  Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* latex-lab-amsmath.dtx: move redefinition of \measuring@true to begin document,
	  tagging issue 920

2025-06-20  Matthew Bertucci <mbertucci@willamette.edu>

	* latex-lab-mathpkg.dtx:
        Load amsmath before several packages that error if amsmath is loaded after.

2025-06-19  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* latex-lab-footnotes.dtx (section{Reimplementing the \pkg{footmisc} package}):
	Move setting of \parindent before calling \leavevmode (tagging/845)

2025-06-18  Matthew Bertucci <mbertucci@willamette.edu>

	* latex-lab-mathtools.dtx:
        Change sign of \belowdisplayskip in patch of \MT_intertext: to match
        \intertext in latex-lab-amsmath.dtx.

2025-06-15  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* latex-lab-block.dtx:
	Started on normalizing/standardizing key names: we favor using
	hyphens in longer names; enumitem keys will get compatibility
	definitions in a second step so that old documents with enumitem
	loaded will continue to work.

2025-06-02  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* latex-lab-block.dtx:
	Change to  [Blocks] ==> in the debugging output.

	Rename object type  to template type in the documentation.

2025-05-25  Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* latex-lab-unicode-math.dtx: add missing \mathop to \varliminf etc.

2025-05-23  Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* latex-lab-amsmath.dtx: fix wrong box names, tagging issue 842

2025-05-17  Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* latex-lab-block.dtx: add MakeLinkTarget to item with optional argument,
	tagging issue 840

2025-05-01  Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* latex-lab-table.dtx: correct docu, latex2e issue 1718
	* latex-lab-math.dtx: change catcode of ^, tagging issue 836

2025-04-28  Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* documentmetadata-support.dtx:
	add debug=BBox for graphic code
	* latex-lab-graphic.dtx: rewrite to use tagging sockets
	* latex-lab-tikz.dtx: new module for tikz support
	* documentmetadata-support.dtx: add tikz module to latest.

2025-04-09  Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* latex-lab-sec.dtx: fix missing braces around key values, tagging issue 830

2025-03-25  Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* documentmetadata-support.dtx:
	Allow a list as the value of the pdfstandard key;
	Add tagging and tagging-setup keys

2025-03-10  Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* latex-lab-amsmath.dtx move luamml-patch to support class in mathml
	* latex-lab-textphase.dtx change date of latex-lab-testphase-math.sty to
	disable luamml patch.

2025-03-08 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* latex-lab-sec.dtx: remove outdated hook handling, fix tagging issue 808
	* latex-lab-title.dtx: add missing space

2025-03-07  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* latex-lab-amsmath.dtx (subsection{\cs{intertext}}):
	We now flip the belowskip sign later; thus we do not have to revert this
	in \intertext  (tagging/809)

	(subsubsection{align \& friends}):
	Special adjustments to  \postdisplaypenalty and \belowdisplayskip
	are made just before the formula ends. We inject this code by requiring
	that \dollardollar@end instead of $$ is used in display environments
	that support tagging  (tagging/809)

	* latex-lab-math.dtx (subsection{Content grabbing}):
	Flipping the sign of the ``below skips'' when the formula ends, rather
	than in \everydisplay (tagging/809)

	Also change the handling of \postdisplaypenalty so that a user can
	alter its value for a single formula (tagging/809)

	Tagging activates that with a special definition for \dollardollar@end
	and for \eqno and \leqno.

2025-02-26  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* latex-lab-math.dtx:
	drop dead code, i.e., \@kernel@math@registered@end
	and \math_register_odd_env:nn

	* latex-lab-float.dtx:
	* latex-lab-marginpar.dtx:
	* latex-lab-math.dtx:
	* latex-lab-minipage.dtx:
	* latex-lab-new-or-2.dtx:
	* latex-lab-table.dtx:
	* latex-lab-toc-kernel-changes.dtx:
	* latex-lab-toc.dtx:
	* latex-lab-unicode-math.dtx:
	Use \NewTaggingSocket, \NewTaggingSocketPlug and \AssignTaggingSocketPlug

	* latex-lab-block.dtx:
	Renamed socket tagsupport/block-endpe to block-endpe

2025-02-20 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* documentmetadata-support.dtx: set PDF 2.0 as default
	* latex-lab-text.dtx: add phoneme instruction to LaTeX.
	* documentmetadata-support.dtx: replace deprecated \keys_set_filter:nnn
	* latex-lab-math.dtx: removed the subpart code. It will probably never be used.
	* latex-lab-math.dtx: move amsmath-patches int latex-lab-amsmath, and insert
          luamml patches.
	* latex-lab-math.dtx: redefine \mathpalette in luatex.
	* latex-lab-math.dtx: Add math/setup key.
        * latex-lab-text.dtx: suppress tagging in \phantom in text mode, adapt for mathmode.
	* latex-lab-unicode-math.dtx: tag roots and fraction rules as artifact is
	  mathml structure elements are used.
	* use \@math@level to identify nested math.
	* added latex-lab-unicode-math.dtx/ltx for unicode-math fixes
	* redefine \bBigg@ if unicode-math is used.

2025-02-19  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* latex-lab-footnotes.dtx (section{Reimplementing the \pkg{footmisc} package}):
	Used a wrong plug in one case.

2025-02-14  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* latex-lab-new-or-1.dtx:
	This file is now empty and will be soon removed.

2025-02-13 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* latex-lab-sec.dtx, latex-lab-namespace.dtx: use section-number as tag
	for section numbers.
	* latex-lab-sec.dtx: hide target arguments for MakeUppercase (tagging/787)

2025-02-12  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* latex-lab-new-or-2.dtx:
	Use sockets and hooks to make output routine configurable.

2024-01-30 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* latex-lab-block.dtx, latex-lab-namespace.dtx: change tagging of verbatim.

2025-01-27  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* latex-lab-firstaid.dtx (subsection{ams classes and amsthm}):
	Add missing \par to abstract env (gh/1641)

2025-01-18  David Carlisle  <David.Carlisle@latex-project.org>

	* latex-lab-mathintent.dtx: start adding support for MathML intent
	initially just \invisibletimes and \functionapplication

2025-01-05 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* latex-lab-sec.dtx: add \par before \mainmatter etc (tagging/777)
	* latex-lab-table.dtx:
	use ARIA-role as default for presentation tables (tagging/778),
	add option to use Div-structures instead of Table.

2024-12-27  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* latex-lab-table.dtx,latex-lab-toc-kernel-changes.dtx,
	  latex-lab-footnotes.dtx,latex-lab-float.dtx:
	Use new socket conditional.

2024-12-21 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* documentmetadata-support.dtx: added "latest" as a testphase value.
	* remove now unneeded tests.

2024-12-01  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* latex-lab-block.dtx (subsection{Handling \tn{par} after the end of the list}):
	Handle \parskip after $$display correctly (tagging/762)

	* latex-lab-math.dtx (subsection{Content grabbing}):
	Handle \parskip after $$display correctly (tagging/762)

2024-11-26 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* latex-lab-math.dtx: changed handling of math/mathml/structelem to handle
	fakemath better(tagging/764)
	* latex-lab-math.dtx: made all main math sockets tagging sockets and
	assign the plugs directly.
	* disable para tagging also in $$-display (tagging/765)

2024-11-23  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* latex-lab-block.dtx (subsubsection{Implementation of block templates \ldots}):
	Use private storage bin for parindent and not \listparindent to decouple block
	and list templates (tagging/767)

	(subsubsection{Blockquote instances}):
	Theorems use their own block-instance and not displayblock to allow for
	customization (tagging/767)

	* latex-lab-firstaid.dtx (subsection{ams classes and amsthm}):
	Move the theorem link target later to not have to force hmode with \leavevmode.
	Otherwise theorems get always an indentation.

2024-11-21 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* latex-lab-float.dtx: Correct socket declaration.

2024-11-18 Joseph Wright <Joseph.Wright@latex-project.org>
	* latex-lab-math.dtx: Use "@@" for a couple of internals

2024-10-25 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* latex-lab-math.dtx: reorganized luamml and mathml options
	to support also structure elements and extended the documentation. Corrected
	handling of alt-texts. Added examples for the various options.

2024-10-16 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* latex-lab-firstaid.dtx: correct amsthm firstaid (tagging/733),
	remove now unneeded code for cleveref.

2024-10-12 Joseph Wright <Joseph.Wright@latex-project.org>
	* latex-lab-math.dtx: Sync with protected-begin status

2024-10-11 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* latex-lab-toc.dtx, latex-lab-sec.dtx, latex-lab-toc-kernel-changes: move target
	handling (\MakeLinkTarget patches) into the kernel.

2024-10-11  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* latex-lab-block.dtx (subsubsection{verse environment}):
	Update \@itemlabel in \l_@@_legacy_env_params_tl and not at the start of
	the environment (tagging/730)

	Set the defaults for \@itemlabel, \@listctr and @nmbrlist early in the
	block code before the setup code gets executed (tagging/730)

	(subsubsection{Implementation of list templates ...):
	Correct logic for setting up the list counter  (tagging/730)

2024-10-04  Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* latex-lab-firstaid.dtx: add first support for fancyvrb environments.

2024-10-04  Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* latex-lab-sec.dtx (subsection{Sockets}):
	add missing braces around optional arg (tagging/725)

2024-10-03  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>
	* latex-lab-block.dtx (subsubsection{Implementation of list templates ...}):
	Pass user keys on list to \item for evaluation

2024-10-02  Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* latex-lab-math.dtx (subsection{Sockets}):
	disable paratagging in inline math (tagging/711)

2024-09-30 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* latex-lab-footnotes.dtx: remove unneeded NonStruct structure.

2024-09-30  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>
	* latex-lab-math.dtx (subsection{Content grabbing}):
	Correct logic for inserting below skips after displays (tagging/721)

2024-09-26 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* latex-lab-firstaid.dtx: add support for theorems declared with
	amsthm, amsart, amsbook, amsproc.

2024-09-24 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* latex-lab-sec.dtx,latex-lab-footnotes.dtx:
	correct and improve footnotes in longtable

2024-09-24 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* latex-lab-toc.dtx,latex-lab-footnotes.dtx: adapt Ref handling to tagpdf 0.99f

2024-09-18 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* latex-lab-amsmath.dtx,latex-lab-graphic.dtc,
	latex-lab-marginpar.dtx,latex-lab-math.dtx,latex-lab-mathtools.dtx,
	latex-lab-minipage.dtx,latex-lab-sec.dtx,latex-lab-table.dtx,latex-lab-text.dtx:
	 switch to \tag_suspend:n and \tag_resume:n

2024-09-17 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* latex-lab-float.dtx: switch to tagging sockets

2024-09-13 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* documentmetadata-support.dtx: change warning to error if pdfstandard is unknown,
      see https://github.com/latex3/pdfresources/issues/77#issuecomment-2329522654.

2024-09-03 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* documentmetadata-support.dtx: switch to T1 encoding by default for non-Unicode
	engines.

2024-09-02  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>
	* latex-lab-block.dtx (subsubsection{List tags}):
	Do not close LI and LBody if they were never opened because of a
	missing \item (issue tagging/641)

	(subsubsection{Implementation of \cs{item} template(s)}):
	Set @newlist to false after the first \item (issue tagging/36)

	Call \@noitemerr in para/begin hook if hmode is started before
	the first item

	(subsubsection{Implementation of block templates \ldots}):
	Drop \@noitemerr from \addvspace and \addpenalty

2024-08-29 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* latex-lab-math.dtx: avoid losing math if tagging is suspended,
	  tagging-project issue #661

2024-08-22 Joseph Wright <Joseph.Wright@latex-project.org>
	* latex-lab-math.dtx: correct handling of empty math processing

2024-08-21 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* latex-lab-math.dtx: correct luamml patches for array,
	  allow to use luamml without unicode-math

2024-08-14 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* latex-lab-math.dtx: add luamml support for automatic mathml generation

2024-08-12 Joseph Wright <Joseph.Wright@latex-project.org>
	* latex-lab-math.dtx: add support for math in tabulars

2024-08-11 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* latex-lab-firstaid.dtx: amsproc support, discussion in PR #517

2024-08-11 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* latex-lab-block.dtx: preset verbatim para-instance, issue #119

2024-08-10 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* latex-lab-block.dtx, latex-lab-table.dtx: reset flattened level in para/restore, issue #544

2024-08-08 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* latex-lab-minipage.dtx, latex-lab-table.dtx: improve support for minipage in tables.
	 handle issue #37

2024-08-06 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* latex-lab-table.dtx: add support for header-columns
	* latex-lab-table.dtx: add support for multirows
	* latex-lab-table.dtx: handle issue #432
	* latex-lab-marginpar.dtx: handle issue #444

2024-07-11 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* latex-lab-footnote.dtx: restore paragraph defaults at the begin of the footnote
	tagging-project#262

2024-07-13  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* latex-lab-table.dtx (subsection{Tagging support sockets}):
	add plugs for tbl/leaders/begin and /end
	(subsection{Misc stuff}): drop unused socket

2024-07-11 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* latex-lab-toc.dtx, latex-lab-toc-kernel-changes: switch from configuration points
	 to sockets.

2024-05-25 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* latex-lab-table.dtx: disable table headers in presentation tables.

2024-05-25 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* latex-lab-firstaid.dtx: add firstaid for booktabs cmidrules,
	see tagging-issue 69.

2024-04-18 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* documentmetadata-support.dtx: change handling of default language.
	The code now tries to detect languages set by babel/polyglossia.

2024-04-16 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* latex-lab-math.dtx: use tagging socket to disable math-writing if tagging
	is suspended

2024-03-24  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* latex-lab-namespace.xlsx:
	File added (draft) replacing tagnames-commands.md

2024-03-23 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* documentmetadata-support.dtx: keys for A4-E and A4-F

2024-03-23  Yukai Chou  <muzimuzhi@gmail.com>

	* latex-lab-float.dtx (subsection{Patching}):
	Fix missing underscore (_) in csname
	Adjust white space before comment in \end@dblfloat

2024-03-23 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* latex-lab-block.dtx: store main text-unit number for marginpars.

2024-03-22  David Carlisle  <David.Carlisle@latex-project.org>

	* latex-lab-float.dtx (subsection{Patching}):
	Adjust white space before comments

2024-03-19  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* latex-lab-firstaid.dtx (subsection{verse}):
	Added first aid for the verse package.

	* latex-lab-block.dtx (subsection{Object and template interfaces}):
	Change default for item-indent from 0pt to \itemindent. Otherwise, an
	explicit setting for \itemindent in a legacy \list environment is
	not picked up.

2024-03-12  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* latex-lab-footnotes.dtx (section{Reimplementing the \pkg{footmisc} package}):
	Typeset the footnote mark twice if the hang option is used. This means it can't
	contain material that alter state, e.g., counters or labels.

2024-03-11  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* latex-lab-footnotes.dtx (subsection{Debugging sockets and hooks}):
	Added \DebugFNotesOn (and  \DebugFNotesOff) not doing much for
	now. Default is now to have debugging turned off (gh/58).

	(subsubsection{Making documents use the new \cs{@makefntext}}):
	Before attempting to patch old classes or packages check if the new
	definition of \@makefntext is the one that was suppliedd by footmisc for
	the hang option. (gh/12)

	(subsubsection{Making documents use the new \cs{@makefntext}}):
	Some classes/styles use \makebox rather than \hb@xt@, so try to patch
	them too. Of course, none of this is very robust. By the end of the
	day well need updating to the new standard solution.

2024-02-23 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* latex-lab-amsmath.dtx, latex-lab-mathpkg.dtx: handle \pbm and poormans \bm
	(luatex only)

2024-02-23 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* update tagpdf and pdfmanagement

2024-02-16 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* latex-lab-graphic.dtx: move end structure behind \fi, tagging-project#64

2024-02-12 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* latex-lab-block.dtx: left align description labels.

2024-02-07 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* latex-lab-table.dtx: change value layout to presentation (as in ARIA).

2024-02-09 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* latex-lab-math.dtx: add keys to suppress AF-files locally

2024-02-09 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* latex-lab-title.dtx: force DisplayDocTitle if UA-standard is detected

2024-02-08 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* latex-lab-testphase.dtx: add marginpar tagging to phase-III

2024-02-08 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* latex-lab-math.dtx, latex-lab-table.dtx: adapt tagpdfsetup keys

2024-02-07 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* latex-lab-table.dtx: change key names from table-tagging to table/tagging

2024-02-05 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* latex-lab-float.dtx: fix caption outside float error

2024-02-05 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* latex-lab-toc-kernel-changes.dtx: fix spurious space, tagging-project#50

2024-01-29 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* latex-lab-math.dtx: disable mathgrabbing in begindocument hook.

2024-01-18 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* latex-lab-firstaid.dtx: add support for \authors from amsart.

2024-01-18 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* latex-lab-title.dtx: make \@title and \@author robust to avoid errors
	if they are not set.

2024-01-18 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* latex-lab-table.dtx: add support for layout tables.

2024-01-18 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* latex-lab-block.dtx: add support to set an attribute-class for para-main.

2024-01-18 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* latex-lab-table.dtx: add option table-tagging=layout

2024-01-17 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* latex-lab-math.dtx, latex-lab-amsmath.dtx, redefine \text to
	avoid faulty structure and faulty PDF from \mathchoice.
	Add statistic for mathml handling.

2024-01-14 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* latex-lab-float.dtx, correct destination, see tagging issue #55

2024-01-14 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* latex-lab-block.dtx, correct error message for environments,
	  see tagging issue #57

2024-01-12 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* latex-lab-table.dtx: add some variables for tag names

2024-01-08 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* move mathml-AF support into latex-lab-math.ltx

2023-12-27 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* added latex-lab-title.dtx for maketitle/title and author tagging.

2023-11-18 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* latex-lab-block.dtx, correct error message for items outside lists
      see tagging issue #35

2023-11-17 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* latex-lab-block.dtx, latex-lab-sec.dtx: use wrapper for para counter,
      see tagging issue #34

2023-11-12 Joseph Wright <Joseph.Wright@latex-project.org>
	* latex-lab-math.dtx: tidy variant creation, switch to e-type expansion

2023-11-05 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* latex-lab-math.dtx: remove processor in \(..\), see tagging issue #29

2023-11-05 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* latex-lab-math.dtx: handle also tabular*, see tagging issue #25
	* latex-lab-table.dtx: use cmd hook for array, see tagging issue #28

2023-10-30 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* added latex-lab-table.dtx for basic table tagging.

2023-10-21 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* latex-lab-minipage.dtx: use sockets to allow local changes

2023-10-13 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* latex-lab-toc.dtx, latex-lab-sec.dtx, latex-lab-toc-kernel-changes: extend
      \MakeLinkTarget to store the target-structure relationship too, see tagging issue #20

2023-10-13 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* latex-lab-graphic.dtx: fix handling of scale factor, tagging issue #16
	* latex-lab-graphic.dtx, latex-lab-footnote.dtx: switch to new property referencing code.
	* latex-lab-math.dtx: fix grabbing of \(..\), tagging issue #19

2023-09-04 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* latex-lab-math.dtx: fix below display skip, tagging issue #11
	* latex-lab-math.dtx: allow to use it without tagging.
	* latex-lab-math.dtx: avoid tagging as math if fakemath is detected, tagging issue #5.

2023-09-04 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* label-lab-new-or-1.dtx latex-lab-new-or-2.dtx
      fix position of kernel hook in \@makecol (tagpdf issue #58)

2023-09-04 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* documentmetadata-support.dtx: add debug key to load tagpdf-debug.
	* new latex-lab-namespace.dtx with role mappings

2023-09-01  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* latex-lab-block.dtx:
	end environment \par handling needs to be specified for all display blocks
	because the standalone receipt should not influence inner environments
	and vice versa (bug reported in tagging-project/9)

2023-07-21 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* rename latex-lab-toc-tagging.dtx to latex-lab-toc.dtx
	* clean up versions and package declarations
	* remove firstaid for ltugboat, this is now handled by the class
	* do not load glyphtounicode with dvilualatex

2023-07-19 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* really rename sec-tagging to sec
	* really rename toc-tagging to toc
	* rename block-tagging to block
	* rename mathtagging to math
	* document testphase key sec, toc, math, graphic, block

2023-06-21 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* latex-lab-sec.dtx: redefine \part only if it defined (letter.cls ...)
	* latex-lab-block-tagging: add definition for verse

2023-06-07 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* latex-lab-block-tagging.dtx corrected tagging of caption
	* new latex-lab-firstaid.dtx with adaptions to external packages
	* latex-lab-float.dtx: declare variable
	* latex-lab-toc-hyperref-changes: use hooks with arguments
	* latex-lab-toc-kernel-changes: use hooks with arguments
	* latex-lab-sec.dtx: provide \pdfgentounicode with lualatex

2023-05-20 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* renamed latex-lab-sec-tagging -> latex-lab-sec for consistency

2023-05-19 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* new latex-lab-bib.dtx:
	tagging support for cite and bibliography with standard LaTeX and natbib
    * small corrections/adaptions in latex-lab-sec-tagging and latex-lab-toc-tagging

2023-05-18 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* new latex-lab-floats.dtx:
	tagging support for float environments
	* new latex-lab-graphic.dtx
	tagging support for includegraphics and picture environment
	* new latex-lab-minipage.dtx
	tagging support for minipage and parbox

2023-05-16  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* latex-lab-block-tagging.dtx (subsubsection{Verbatim instances}):
	verbatim environments get their own block instances so that they can receive
	special formatting instructions.
	This also fixes a bug that we forgot to set par-skip to 0pt by default (tagpdf/74)

	(paragraph{Helper commands for verbatim}):
	The \legacyverbatimsetup command needs to execute \@@par inside a group, because
	we need to preserve any outer setup to \parshape (tagpdf/79)

2023-04-09 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* latex-lab-sec-tagging.dtx:
	don't load extra glyphtounicode if \pdfglyphtounicode is not defined.

2023-04-09 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* latex-lab-footnotes.dtx:
	made \footnote and \footnotetext long


2023-03-08  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* latex-lab-block-tagging.dtx:
	Added the support for tagging  display blocks and corresponding environments
	such as lists, quotes, verbatim, theorem-like envs, ...

2023-03-07 Ulrike Fischer <Ulrike.Fischer@latex-project.org>

	* tagpdf updated
	* improved glyphtounicode support for luatex and math
	* adapted toc and sec tagging code to new two-level paragraph handling
	and block tagging code

2023-02-16 Ulrike Fischer <Ulrike.Fischer@latex-project.org>

	* latex-lab-sec-tagging.dtx: first, simple tagging of sectioning commands
	* latex-lab-toc-tagging-functions.dtx, latex-lab-toc-kernel-changes.dtx,
	latex-lab-toc-kernel-changes.dtx: Tagging of table of contents and similar
	lists
	* tagpdf and pdfmanagement updated in texmf tree.


2023-02-04 Ulrike Fischer <Ulrike.Fischer@latex-project.org>

    * latex-lab-footnotes.dtx: improve tagging of footnotes

2022-12-11 Joseph Wright <Joseph.Wright@latex-project.org>

	* latex-lab-mathcapture.dtx
	 New file to implement grabbing of math mode context

2022-04-11 Ulrike Fischer <Ulrike.Fischer@latex-project.org>

	* documentmeta-support.dtx:
	updated documentation
	* moved output patches from pdfresources to latex-lab-new-or-1
	* reorganized new-or: number subfiles as new-or-1, new-or-2 and load all with new-or.

2022-07-22  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* latex-lab-footnotes.dtx (subsection{Document-level commands}):
	Make mandatory arguments of  \footnote and \footnotetext long (gh863)

2022-05-28 Joseph Wright <Joseph.Wright@latex-project.org>

	* latex-lab-prototype.dtx
	 Removed

2022-14-04 Ulrike Fischer <Ulrike.Fischer@latex-project.org>

	* documentmeta-support.dtx:
	add key A-4 for first steps to support pdf/A-4

2022-03-08 Joseph Wright <Joseph.Wright@latex-project.org>

	* latex-lab-prototype.dtx
	 New file re-implementing ideas from on xtemplate.dtx using updated
	 keyval support

2021-12-30 Ulrike Fischer <Ulrike.Fischer@latex-project.org>

	* documentmeta-support.dtx:
	cleaned up keys and bundle name
    * added latex-lab-testphase.dtx for wrappers for the testphase
    key.

2021-12-16 Frank Mittelbach <Frank.Mittelbach@latex-project.org>

	* README.md:
	Add the bundle to support project work.
